### Method

# GLib BookmarkFile set_groups

since: 2.12

#### Declaration [src]

    void
    g_bookmark_file_set_groups (
      GBookmarkFile* bookmark,
      const gchar* uri,
      const gchar** groups,
      gsize length
    )

#### Description [src]

Sets a list of group names for the item with URI `uri`. Each previously set group name list is removed.

If `uri` cannot be found then an item for it is created.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  An item’s URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`groups`

  Type: An array of `utf8`

  An array of group names, or `NULL` to remove all groups.

  The argument can be `NULL`.
  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`length`

  Type: `gsize`

  Number of group name values in `groups`.